Register card payment
import requests
url = "https://api.trysynch.com/CardPayment"
payload = {
"amount": 123,
"mobileNumber": "<string>",
"cardType": "<string>",
"transactionStatus": "<string>",
"merchantId": "<string>",
"email": "<string>",
"patientReferenceNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/CardPayment';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
mobileNumber: '<string>',
cardType: '<string>',
transactionStatus: '<string>',
merchantId: '<string>',
email: '<string>',
patientReferenceNumber: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/CardPayment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"mobileNumber": "<string>",
"cardType": "<string>",
"transactionStatus": "<string>",
"merchantId": "<string>",
"email": "<string>",
"patientReferenceNumber": "<string>"
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/CardPayment");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"amount\": 123,\n \"mobileNumber\": \"<string>\",\n \"cardType\": \"<string>\",\n \"transactionStatus\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"email\": \"<string>\",\n \"patientReferenceNumber\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/CardPayment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"mobileNumber\": \"<string>\",\n \"cardType\": \"<string>\",\n \"transactionStatus\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"email\": \"<string>\",\n \"patientReferenceNumber\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyPayment
Register card payment
Registers a new card payment for a given company
POST
/
CardPayment
Register card payment
import requests
url = "https://api.trysynch.com/CardPayment"
payload = {
"amount": 123,
"mobileNumber": "<string>",
"cardType": "<string>",
"transactionStatus": "<string>",
"merchantId": "<string>",
"email": "<string>",
"patientReferenceNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/CardPayment';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
mobileNumber: '<string>',
cardType: '<string>',
transactionStatus: '<string>',
merchantId: '<string>',
email: '<string>',
patientReferenceNumber: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/CardPayment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"mobileNumber": "<string>",
"cardType": "<string>",
"transactionStatus": "<string>",
"merchantId": "<string>",
"email": "<string>",
"patientReferenceNumber": "<string>"
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/CardPayment");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"amount\": 123,\n \"mobileNumber\": \"<string>\",\n \"cardType\": \"<string>\",\n \"transactionStatus\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"email\": \"<string>\",\n \"patientReferenceNumber\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/CardPayment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"mobileNumber\": \"<string>\",\n \"cardType\": \"<string>\",\n \"transactionStatus\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"email\": \"<string>\",\n \"patientReferenceNumber\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Body
application/jsontext/jsonapplication/*+json
Response
200
OK
Last modified on July 21, 2026
Was this page helpful?
⌘I